commit: dc65826d79ecfdf7cae0fd0381503479197da334
Author: Manuel Rüger <mrueg <AT> gentoo <DOT> org>
AuthorDate: Wed Feb 1 14:15:00 2017 +0000
Commit: Manuel Rüger <mrueg <AT> gentoo <DOT> org>
CommitDate: Wed Feb 1 14:57:16 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=dc65826d
dev-python/pylint: Version bump to 1.6.5
Package-Manager: Portage-2.3.3, Repoman-2.3.1
dev-python/pylint/Manifest | 1 +
dev-python/pylint/pylint-1.6.5.ebuild | 61 +++++++++++++++++++++++++++++++++++
2 files changed, 62 insertions(+)
diff --git a/dev-python/pylint/Manifest b/dev-python/pylint/Manifest
index 0f6aa77..386ad27 100644
--- a/dev-python/pylint/Manifest
+++ b/dev-python/pylint/Manifest
@@ -7,3 +7,4 @@ DIST pylint-1.5.4.tar.gz 423215 SHA256
2fe3cc2fc66a56fdc35dbbc2bf1dd96a534abfc79
DIST pylint-1.5.5.tar.gz 424040 SHA256
15e949bbeda6c0a66799f34f720ab15e38d0a128e752cff5e74168527e5399c7 SHA512
cb3b532f88d2c75e1cef8fefd6e96e8d12a4d56b4bc7e84e109d5d093c8e2a9465d02cfb650f3dd3916edf753e20541b3ec4162743af9f7c82563ecd4b8cc7c6
WHIRLPOOL
665f8c315d61ba2e08ad4c5dea5e2fd20988fc258a856d5cb64a5da2e52e7f701803cab64672de825dfedf89890c194692491a07155880d309c2d27d121d00d3
DIST pylint-1.5.6.tar.gz 425251 SHA256
303bdd755048feec2c1fe1ea16e8f4306636f02845510ff3d5922ae2d6fe35cc SHA512
569a747a0d2c4f60ff2c16af6117f501fa1a9a6546fcc1228909b23024e2bc05951985acf56249919b67b11f161cb1855321115ad9fd7a7c409b71faa5dd8278
WHIRLPOOL
286e32ae39dfc3ce8d13efb9e9acec98db698f742bf399ccd6d7e053a2bdb1b7ea30b36a10a65fa4867bb6316da08c1181c5f0f0f39b0a920ddc3cf60e85f462
DIST pylint-1.6.4.tar.gz 442853 SHA256
ef901a34b62ed7a734370ba5b162d890231ba8822abe88c6dda1268e2575f5f1 SHA512
8252a46f8a7ff6a70f2ea10a94a9e8618a903014210cf87c061e649fbe0c2106fb1b63643605ae0ed3f4652e8ed09442f4fd32a0df11f3639e6e35128e432d51
WHIRLPOOL
1e6863ac76b81a36493e77e3ef66f218d0e57882f3e535f5174afff8346b97bfb92f81579960bf9f5250ce7c8bfa0dca2aed1ce727a93332b10cf34b990c359a
+DIST pylint-1.6.5.tar.gz 465578 SHA256
a673984a8dd78e4a8b8cfdee5359a1309d833cf38405008f4a249994a8456719 SHA512
2fac352dc752b37f1ce4f7fefe5afbbc880d7e6c38f164d1c50734716af1dd6fe31f7d41e145a8256837d5a63b1989efec40c169fc14840cf8eb4e18d9bb2410
WHIRLPOOL
55201c238f9a6ba473d038ea1739bfb9b1e8183685bf5630405d436df1a0843642a354af698d1b585752c53e270fc4bd2d4d56d509c5d7acf5271a8fd1447eb3
diff --git a/dev-python/pylint/pylint-1.6.5.ebuild
b/dev-python/pylint/pylint-1.6.5.ebuild
new file mode 100644
index 00000000..c3a3e05
--- /dev/null
+++ b/dev-python/pylint/pylint-1.6.5.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+PYTHON_COMPAT=( python{2_7,3_4,3_5} pypy )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1 eutils
+
+DESCRIPTION="Python code static checker"
+HOMEPAGE="
+ http://www.logilab.org/project/pylint
+ https://pypi.python.org/pypi/pylint
+ https://github.com/pycqa/pylint"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux
~x86-linux ~x64-macos ~x86-macos"
+IUSE="doc examples test"
+
+RDEPEND="
+ >=dev-python/astroid-1.4.5[${PYTHON_USEDEP}]
+ <dev-python/astroid-1.5.0[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]
+ >=dev-python/isort-4.2.5[${PYTHON_USEDEP}]
+ dev-python/mccabe"
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
+ doc? ( dev-python/sphinx[${PYTHON_USEDEP}] )
+ test? ( ${RDEPEND} )"
+
+RESTRICT="test" # multiple failures
+
+# Usual. Requ'd for impl specific failures in test phase
+DISTUTILS_IN_SOURCE_BUILD=1
+
+python_compile_all() {
+ # selection of straight html triggers a trivial annoying bug, we skirt
it
+ use doc && PYTHONPATH="${S}" emake -e -C doc singlehtml
+}
+
+python_test() {
+ ${EPYTHON} \
+ -m unittest discover \
+ -s pylint/test/ -p "*test_*".py \
+ --verbose || die
+}
+
+python_install_all() {
+ doman man/{pylint,pyreverse}.1
+ use examples && local EXAMPLES=( examples/. )
+ use doc && local HTML_DOCS=( doc/_build/singlehtml/. )
+ distutils-r1_python_install_all
+}
+
+pkg_postinst() {
+ # Optional dependency on "tk" USE flag would break support for Jython.
+ optfeature "pylint-gui script requires dev-lang/python with \"tk\" USE
flag enabled." dev-lang/python[tk]
+}